/**
 * Copyright (C) 2007, 2008 4D Soft Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package hu.soft4d.minerva.uml;

/**
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class UmlClass extends UmlType
{
    private UmlParameter[] attributes;
    
    public UmlClass( String name, UmlParameter[] members )
    {
        super(name, false);
        attributes = members;
    }

    public UmlParameter[] getAttributes()
    {
        
        return attributes;
    }
}
