package hu.soft4d.minerva.wsdl;

import java.util.logging.Logger;

import org.w3c.dom.DOMError;
import org.w3c.dom.DOMErrorHandler;

/**
 * Class used for handling DOM parsing errors.
 * 
 * @author Zsolt Kiss Gere, 4D Soft Ltd.
 */
public class DOMErrorHandlerImpl implements DOMErrorHandler
{
    private static Logger log = Logger.getLogger( DOMErrorHandlerImpl.class.getName() );
    
    public boolean handleError( DOMError error )
    {
       log.severe("DOM Error: " + error.getMessage() );
       
       if( error.getSeverity() == DOMError.SEVERITY_WARNING )
           return true;
       else
           return false;
    }
}
